Summary:	Offensive aphorisms for fortune.
Name:		fortune-mod-extras
Version:	1.0
Release:	4
Copyright:	BSD
Group:		Amusements/Games
Vendor:		Dennis L. Clark <dbugger@progsoc.uts.edu.au>
Source0:	ftp://metalab.unc.edu/pub/Linux/games/amusements/fortune/fortune-mod-9708.tar.gz
Source1:	fortune.sh.in
Source2:	fortunerc.5
Patch0:		fortune-mod-extras.patch
Patch1:		fortune-mod-offensive.patch
Patch2:		fortune-mod-cookie-o.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Prefix:		%{_prefix}
Packager:	Chris Ausbrooks <weed@bucket.pp.ualr.edu>
AutoReqProv:	0
Requires:	fortune-mod
BuildArch:	noarch

%description
Offensive aphorisms for the popular fortune program and a fortune.sh for
/etc/profile.d

%prep
%setup -q -n fortune-mod-9708
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
make cookies-o

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{prefix}/share/games/fortunes/off
make COOKIEDIR=%{buildroot}/%{prefix}/share/games/fortunes install-cookie-o
cat %{_sourcedir}/fortune.sh.in \
	| sed -e 's,@fortbin@,%{prefix}/games/fortune,g' \
	-e 's,@offdir@,%{prefix}/share/games/fortunes/off,g' \
	> fortune.sh
install -D -m 755 fortune.sh %{buildroot}/etc/profile.d/
install -D -m 644 %{_sourcedir}/fortunerc.5 %{buildroot}/%{prefix}/man/man5/
touch rest_of_docs_in_fortune-mod_doc_dir

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc INDEX Notes Offensive cookie-files fortune-mod.lsm
%doc rest_of_docs_in_fortune-mod_doc_dir
%{prefix}/man/*/*
%{prefix}/share/*/*/*
/etc/*/*

%post
%{prefix}/games/fortune -o

%changelog
* Tue Jan 25 2000 Chris Ausbrooks <weed@bucket.pp.ualr.edu>
- cleaned up spec file
- made relocatable
- changed source URL
- changed requires
- added vendor
- modified fortune.sh to allow for comments in config files
- modified fortune.sh to change behavior of fortune run on command-line
- modified fortune.sh to check for offensive dir
- noted location of rest of docs
- added post just for fun

* Mon Dec 20 1999 Chris Ausbrooks <weed@bucket.pp.ualr.edu>
- got rid of small leak in fortune.sh
- install fortune.sh in /etc/profile.d
- cleaned up make
- added man page

* Tue Nov 02 1999 Chris Ausbrooks <weed@bucket.pp.ualr.edu>
- sped up compile by only making needed components
- also got rid of duplicate documentation

* Thu Oct 28 1999 Chris Ausbrooks <weed@bucket.pp.ualr.edu>
- created new package based on fortune-mod-1.0-10.src.rpm
- wrote fortune.sh for /etc/profile.d

* Fri Jun 25 1999 Guido Flohr <gufl0000@stud.uni-sb.de>
- create fortune manpage without buildroot before installation

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 9)

* Thu Dec 17 1998 Michael Maher <mike@redhat.com>
- rebuilt for 6.0

* Sat Aug 15 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Oct 21 1997 Donnie Barnes <djb@redhat.com>
- new version
- spec file cleanups

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc
